### Method

# RB ShellPreferences append_page

#### Declaration [src]

    void
    rb_shell_preferences_append_page (
      RBShellPreferences* prefs,
      const char* name,
      GtkWidget* widget
    )

#### Description [src]

Appends a new page to the preferences dialog notebook.

#### Parameters

`name`

  Type: `const char*`

  Name of the page to append.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`widget`

  Type: `GtkWidget`

  The `GtkWidget` to use as the contents of the page.

  The data is owned by the caller of the method.